## wine-development 1.9.20

=== debian/changelog ===
wine-development (1.9.20-1ubuntu2) yakkety; urgency=medium

  * Add app icon and appstream metadata to enable wine to show in
    Software app (LP: #1571816)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2017 15:21:20 -0500

wine-development (1.9.20-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable (LP: #1630763), remaining changes:
    - Use unversioned sonames in debian/scripts/sonames2elf
      so that dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 05 Oct 2016 17:42:03 +0200

wine-development (1.9.20-1) unstable; urgency=medium

  * New upstream release 1.9.20, released Oct 1, 2016.
    - Reimplementation of the clipboard API.
    - Message handling in WebServices.
    - Many more API Set libraries.
    - Various bug fixes.
  * Refresh patches and bump SERVER_PROTOCOL_VERSION.
  * Declare relationship to the old Ubuntu packages in d/control.in.

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 05 Oct 2016 15:59:02 +0200

wine-development (1.9.19-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Use unversioned sonames in debian/scripts/sonames2elf
      so that dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).
    - Add versioned breaks/replaces against the wine1.6 packages.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 20 Sep 2016 01:02:21 +0200

wine-development (1.9.19-1) unstable; urgency=medium

  * New upstream release 1.9.19, released Sep 16, 2016.
    - Initial version of a udev bus driver for HID.
    - Various improvements in joystick support.
    - Initial implementation of DC rendering in Direct2D.
    - Improved metafile support in GDI+.
    - Various bug fixes.
  * Generate the correct SERVER_PROTOCOL_VERSION (closes: #836911, see also
    in stable: #836566).
  * Mention the alternatives system in wineVERSION's package description.
  * Provide wine.desktop as example in wineVERSION.
  * Build-depend on libudev-dev on linux architectures.
  * Refresh patches.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 19 Sep 2016 18:19:04 +0200

wine-development (1.9.18-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * New upstream release 1.9.18, released Sep 2, 2016.
    - Support for multiple kernel drivers in a single process.
    - More WebServices reader support.
    - Various improvements in joystick support.
    - Some more work towards the Direct3D command stream.
    - GDI performance improvements.
    - Improved IME window handling.
    - Compatibility fixes in the clipboard support.
    - Various bug fixes.

  [ Jens Reyer ]
  * Reorganize patches, drop kfreebsd.patch (applied upstream 1.9.18).

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 04 Sep 2016 18:12:32 +0000

wine-development (1.9.17-1) unstable; urgency=medium

  * New upstream release 1.9.17, released Aug 19, 2016.
    - Better exception handling on 64-bit.
    - Various improvements in joystick support.
    - Some more stream support in the C++ runtime.
    - Font embedding improvements.
    - More metafile support in GDI+.
    - Various bug fixes.
    - Check for sysinfo function to fix FTBFS on hurd and kfreebsd
      (closes: #833956). Thanks Pino Toscano and Sebastian Lackner.
    - Correct wrong symlink in wine.inf to fix regedit exporting the
      registry (closes: #832129). Thanks Joerg Schiermeier.
  * Refresh patches.
  * Make "update-alternatives --remove" quiet.
  * Make libc6-dev dependency portable.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 22 Aug 2016 15:08:33 +0200
