## wine-development 1.9.23

=== debian/changelog ===
wine-development (1.9.23-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - Use unversioned sonames in debian/scripts/sonames2elf
      so that dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 19 Nov 2016 12:22:57 +0200

wine-development (1.9.23-1) unstable; urgency=medium

  * New upstream release 1.9.23, released Nov 11, 2016.
    - Color font support in Direct2D.
    - More color formats in Direct3D.
    - Uninstallation fixes in MSI.
    - Various bug fixes.
  * Drop openal.patch, fixed upstream.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 13 Nov 2016 02:15:18 +0000

wine-development (1.9.22-1) unstable; urgency=medium

  * New upstream release 1.9.22, released Oct 28, 2016.
    - macOS clipboard support adapted to the new design.
    - Initial implementation of bitmap rendering in Direct2D.
    - More WebServices implementation.
    - A few more steps towards HID support.
    - Various bug fixes.
  * Refresh patches.
  * Drop unused lintian override hardening-no-pie from the -tools packages.

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 02 Nov 2016 20:49:56 +0100

wine-development (1.9.21-1) unstable; urgency=medium

  * New upstream release 1.9.21, released Oct 14, 2016.
    - Initial version of the HID minidriver.
    - Support for lists in the RichEdit control.
    - System tray improvements.
    - Various bug fixes.
  * Simplify the foreign-arch test in the wine script.
  * Drop shlib-exit-calls.patch.
  * Let wine-development suggest winbind.
  * Refresh patches.
  * Behind the scene changes (only affect src:wine, merged from there):
    - Remove remaining VERSION from fonts-wine and wine-binfmt.
    - Add missing package relationships to fonts-wine and wine-binfmt.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 17 Oct 2016 17:29:04 +0200
