=== debian/control ===
--- 
+++ 
@@ -83,6 +83,7 @@
  wine64-development (>= ${source:Version}) | wine32-development (>= ${source:Version}),
  wine64-development (<< ${source:Version}.1~) | wine32-development (<< ${source:Version}.1~),
 Suggests:
+ winbind,
  winetricks,
  playonlinux,
  wine-binfmt,
@@ -294,9 +295,15 @@
 
 # Package: wine-binfmt
 # Architecture: all
+# Multi-Arch: foreign
 # Depends:
 #  ${misc:Depends},
+#  wine,
 #  binfmt-support,
+# Breaks:
+#  wine1.6 (<< 1:1.8.4ubuntu1~),
+# Replaces:
+#  wine1.6 (<< 1:1.8.4ubuntu1~),
 # Description: Windows API implementation - binfmt support
 #  Wine is a free MS-Windows API implementation.
 #  This is still a work in progress and many applications may still not work.
@@ -310,6 +317,12 @@
 # Built-Using: ${built:Using}
 # Depends:
 #  ${misc:Depends},
+# Breaks:
+#  libwine-development (<< 1.7.41-2~),
+#  wine1.6 (<< 1:1.8.4ubuntu1~),
+# Replaces:
+#  libwine-development (<< 1.7.41-2~),
+#  wine1.6 (<< 1:1.8.4ubuntu1~),
 # Description: Windows API implementation - fonts
 #  Wine is a free MS-Windows API implementation.
 #  This is still a work in progress and many applications may still not work.
