=== debian/rules ===
--- 
+++ 
@@ -93,9 +93,6 @@
 debian/libwine$(VERSION)%: debian/libwineVERSION%
 	sed s/VERSION/$(VERSION)/g < $< > $@
 
-debian/fonts-wine$(VERSION)%: debian/fonts-wineVERSION%
-	sed s/VERSION/$(VERSION)/g < $< > $@
-
 debian/bug-control: debian/bug-control.in
 	sed s/VERSION/$(VERSION)/g < $< > $@
 
@@ -140,8 +137,6 @@
 	    rename=$$(basename $$file | sed "s/\\./$(DEBSUFFIX)./;s/UTF-8\\.//"); \
 	    cp $$file debian/tmp/$$rename || true; \
 	    done
-	# extract hicolor icon from logo.svg
-	sed '/image\/png/d;s|width="611"|width="209"|' programs/winecfg/logo.svg > debian/tmp/wine$(DEBSUFFIX).svg
 
 override_dh_auto_install-arch: $(INSTALLS)
 	mkdir -p debian/tmp
