## wine-development 2.0~rc4

=== debian/changelog ===
wine-development (2.0~rc4-1ubuntu1) zesty; urgency=medium

  * * Merge with Debian unstable, remaining changes:
    - Use unversioned sonames in debian/scripts/sonames2elf
      so that dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 13 Jan 2017 10:01:49 +0530

wine-development (2.0~rc4-1) unstable; urgency=medium

  * New upstream release 2.0-rc4, released Jan 6, 2017.
    - Bug fixes only, we are in code freeze.
  * Blacklist some file extensions for native file type association
    (see: #845334).

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 08 Jan 2017 18:48:11 +0100

wine-development (2.0~rc3-1) unstable; urgency=medium

  * New upstream release 2.0-rc3, released Dec 23, 2016.
    - Bug fixes only, we are in code freeze.
  * Clean the generated test ttf files.
  * Change trigger interest to noawait (LP: 1652434).

 -- Jens Reyer <jre.winesim@gmail.com>  Wed, 04 Jan 2017 14:40:23 +0100

wine-development (2.0~rc2-1) unstable; urgency=medium

  * New upstream release 2.0-rc2, released Dec 16, 2016.
    - Fixes wineconsole emacs mode crash when yanking a line (closes: #844412).
    - Check for invalid WINEARCH values (see: #838474).
  * Remove ttf files from the upstream tarball.
  * Use xz compression for the upstream tarball.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 18 Dec 2016 18:42:24 +0000

wine-development (2.0~rc1-1) unstable; urgency=medium

  * New upstream release 2.0-rc1, released Dec 9, 2016.
    - Support for IDN name resolution.
    - Many more Shader Model 5 operations.
    - Still more fixes in the regression tests.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 11 Dec 2016 06:11:01 +0000

wine-development (1.9.24-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * New upstream release 1.9.24, released Nov 25, 2016.
    - Support for unordered access views in Direct3D.
    - Many fixes in the regression tests.
    - Some more improvements in HID support.
    - Various bug fixes.

  [ Jens Reyer ]
  * Re-add lintian override hardening-no-pie to the -tools packages.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 25 Nov 2016 21:58:45 +0000
