## wine-development 2.0~rc6

=== debian/changelog ===
wine-development (2.0~rc6-1ubuntu1) zesty; urgency=medium

  * Merge with Debian (LP: #1571816). Remaining changes:
    - Use unversioned sonames in debian/scripts/sonames2elf
      so that dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 23 Jan 2017 17:10:39 -0500

wine-development (2.0~rc6-1) unstable; urgency=medium

  [ Michael Gilbert ]
  * New upstream release 2.0-rc6, released Jan 20, 2017.
  * Add libxml-parser-perl to the build dependencies.

  [ Jens Reyer ]
  * Drop obsolete entries from d/clean.
  * Keep tools/make_makefiles in the orig.tar.
  * Generate and install wine.svg icon.
  * Add initial AppStream metainfo file (see: #848839).

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 21 Jan 2017 21:15:20 +0000

wine-development (2.0~rc5-1) unstable; urgency=medium

  * New upstream release 2.0-rc5, released Jan 13, 2017.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 14 Jan 2017 19:24:43 +0000
