=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  libglu1-mesa-dev,
  libxcomposite-dev,
  libxml-simple-perl,
+ libxml-parser-perl,
  lzma,
  flex,
  bison,
