## wine-development 2.0

=== debian/changelog ===
wine-development (2.0-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * No changes.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 05 Feb 2017 19:22:23 +0100

wine-development (2.0-3) unstable; urgency=medium

  * Enable oss on kfreebsd, explicitly disable it on other archs.
  * Create the sonames2elf binary without -nostdlib (cf. #853793).

 -- Jens Reyer <jre.winesim@gmail.com>  Thu, 02 Feb 2017 18:14:48 +0100

wine-development (2.0-2) unstable; urgency=medium

  * Remove outdated oss4 build dependency (closes: #852989).

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 31 Jan 2017 04:59:25 +0000

wine-development (2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * No changes.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 31 Jan 2017 22:05:17 +0100

wine-development (2.0-1) unstable; urgency=medium

  * New upstream release 2.0, released Jan 24, 2017.
    - Drawing of underlines.
    - Renderer sees drawing effect associated with text segment.
    - Support for color fonts in COLR/CPAL format.
    - Initial font fallback support, builtin data for some of CJK
      ranges.
    - Support for Wine-specific font replacement registry settings.
    - Improved font metrics resolution in case of incomplete or
    - Support for EUDC font collection based on current registry
    - Several more shader model 4 and 5 shader instructions.
    - Several more resource formats.
    - Integer vertex shader inputs.
    - Typeless resources.
    - sRGB read/write support.
    - Depth and stencil clears.
    - Depth-only draws.
    - Array textures.
    - Index buffer offsets.
    - Unordered access views.
    - Primitive restart.
    - "CheckFloatConstants" (REG_SZ).
    - "MaxShaderModelHS", "MaxShaderModelDS" and "MaxShaderModelCS"
      (REG_DWORD).
    - "SampleCount" (REG_DWORD).
    - There is initial support for preshaders.
    - Many more effect states are correctly applied.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 25 Jan 2017 05:36:23 +0000

wine-development (2.0~rc2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * No changes.

 -- Jens Reyer <jre.winesim@gmail.com>  Thu, 29 Dec 2016 22:24:25 +0100

wine-development (1.9.24-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * No changes.

 -- Jens Reyer <jre.winesim@gmail.com>  Thu, 01 Dec 2016 16:02:56 +0100

wine-development (1.9.22-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * No changes.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 08 Nov 2016 17:49:41 +0100

wine-development (1.9.21-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * No changes.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 24 Oct 2016 19:59:47 +0200

wine-development (1.9.20-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining changes:
    - Revert "Drop alternative depends on perl:any (now handled by debhelper)."
      - debhelper in backports doesn't support this yet.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 11 Oct 2016 20:51:36 +0200

wine-development (1.9.19-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining changes:
    - Revert "Drop alternative depends on perl:any (now handled by debhelper)."
      - debhelper in backports doesn't support this yet.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 25 Sep 2016 11:33:26 +0200

wine-development (1.9.18-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining changes:
    - Revert "Drop alternative depends on perl:any (now handled by debhelper)."
      - debhelper in backports doesn't support this yet.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 12 Sep 2016 13:24:56 +0200

wine-development (1.9.17-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining changes:
    - Revert "Drop alternative depends on perl:any (now handled by debhelper)."
      - debhelper in backports doesn't support this yet.

 -- Jens Reyer <jre.winesim@gmail.com>  Mon, 29 Aug 2016 00:25:22 +0200

wine-development (1.9.16-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining changes:
    - Revert "Drop alternative depends on perl:any (now handled by debhelper)."
      - debhelper in backports doesn't support this yet.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 16 Aug 2016 03:18:57 +0200

wine-development (1.9.15-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining diff to stretch:
    - Revert "Drop alternative depends on perl:any (now handled by debhelper)."
      - debhelper in backports doesn't support this yet.

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 29 Jul 2016 21:07:39 +0200

wine-development (1.9.14-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Drop dbgsym workaround, now handled by new debhelper in backports.
  * Revert "Drop alternative depends on perl:any (now handled by debhelper)."
    - debhelper in backports doesn't support this yet.

 -- Jens Reyer <jre.winesim@gmail.com>  Tue, 19 Jul 2016 13:09:28 +0200

wine-development (1.9.12-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining diff to stretch:
    - Don't build -dbg or -dbgsym packages.
      Drop versioned build-dependency on debhelper.

 -- Jens Reyer <jre.winesim@gmail.com>  Sun, 19 Jun 2016 01:26:45 +0200

wine-development (1.9.11-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Remaining diff to stretch:
    - Don't build -dbg or -dbgsym packages.
      Drop versioned build-dependency on debhelper.

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 11 Jun 2016 16:35:36 +0200

wine-development (1.9.8-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.


