=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: wine-development
 Section: otherosfs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
+Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -32,7 +31,7 @@
  bison,
  quilt,
  gettext,
- oss4-dev,
+ oss4-dev [kfreebsd-any],
  sharutils,
  pkg-config,
  dctrl-tools,
