## wine-development 2.7

=== debian/changelog ===
wine-development (2.7-1ubuntu1) artful; urgency=medium

  * Merge with Debian experimental, remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 08 May 2017 13:09:04 +0200

wine-development (2.7-1) experimental; urgency=medium

  * New upstream release 2.7, released Apr 28, 2017.
    - TCP and UDP connection support in WebServices.
    - Various shader improvements for Direct3D 11.
    - Improved support for high DPI settings.
    - Partial reimplementation of the GLU library.
    - Support for recent versions of OSMesa.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 06 May 2017 23:14:30 +0000

wine-development (2.6-1) experimental; urgency=medium

  * New upstream release 2.6, released Apr 13, 2017.
    - Multi-threaded command stream in Direct3D.
    - More Shader Model 5 instructions.
    - More support for 3D textures.
    - Better font transformations in DirectWrite.
    - Various bug fixes.
  * Avoid unnecessary linking to gstbase.
  * Drop glu32.patch since upstream no longer links to it unnecessarily.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 14 Apr 2017 18:21:47 +0000

wine-development (2.5-1) experimental; urgency=medium

  * New upstream release 2.5, released Mar 31, 2017.
    - Support for message-mode named pipes.
    - Translation of version resources through po files.
    - Transform feedback support in Direct3D.
    - Scheduler classes in C++ runtime.
    - Better scrolling in popup menus.
    - More improvements to the XML reader.
    - Various bug fixes.
  * Refresh patches.
  * Document purpose of the sonames2elf script.
  * Support stable release 2.0 in import script.
  * Fix typo to clarify license LGPL-2.1 *or later* in import scripts.

 -- Jens Reyer <jre.winesim@gmail.com>  Fri, 07 Apr 2017 12:45:15 +0200

wine-development (2.4-1) experimental; urgency=medium

  * New upstream release 2.4, released Mar 17, 2017.
    - Built-in implementation of cryptographic hashes.
    - More Direct3D command stream work.
    - Simulated bold and italic in DirectWrite.
    - Improvements to the XML reader.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 19 Mar 2017 18:42:56 +0000

wine-development (2.3-1) experimental; urgency=medium

  * New upstream release 2.3, released Mar 3, 2017.
    - Obsolete wineinstall script removed.
    - More Direct3D command stream work.
    - A few more Shader Model 5 instructions.
    - Better underline rendering in DirectWrite.
    - Improved ODBC support on 64-bit.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 11 Mar 2017 05:24:44 +0000

wine-development (2.2-1) experimental; urgency=medium

  * New upstream release 2.2, released Feb 17, 2017.
    - Windows version set to Windows 7 for new prefixes.
    - More steps towards the Direct3D command stream.
    - Still more Shader Model 5 instructions.
    - Initial support for double-buffered theme painting.
    - Various bug fixes.
  * Use date of the latest changelog update as the build date.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 19 Feb 2017 04:28:45 +0000

wine-development (2.1-1) experimental; urgency=medium

  * New upstream release 2.1, released Feb 3, 2017.
    - Many fixes that were deferred during code freeze.
    - More Shader Model 5 instructions.
    - A number of improvements to MIME message handling.
    - Line breaking improvements in DirectWrite.
    - HID bus service now running by default.
    - Direct2D rendering improvements.
    - Various bug fixes.
    - New versioning convention.
    - Source release tarballs now use xz compression.
  * Update watch file to find the new upstream tarballs.
  * Update to debhelper 10.

 -- Michael Gilbert <mgilbert@debian.org>  Sun, 05 Feb 2017 17:39:44 +0000

wine-development (2.0-3ubuntu1) zesty; urgency=medium

  * Merge with Debian testing. Remaining changes:
    - Use unversioned sonames in debian/scripts/sonames2elf
      so that dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Mar 2017 16:35:09 -0400
