## wine-development 2.10

=== debian/changelog ===
wine-development (2.10-1ubuntu1) artful; urgency=medium

  * Sync on debian unstable. Remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 19 Jun 2017 11:08:52 +0530

wine-development (2.10-1) unstable; urgency=medium

  * New upstream release 2.10, released Jun 9, 2017.
    - Dictionary support in WebServices.
    - A number of Direct2D fixes.
    - User interface improvements in RegEdit.
    - OLE clipboard cache fixes.
    - Various bug fixes.
  * Upload to unstable now that stretch has been released.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 17 Jun 2017 20:13:51 +0000

wine-development (2.9-1) experimental; urgency=medium

  * New upstream release 2.9, released May 26, 2017.
    - Support for tesselation shaders in Direct3D.
    - Binary mode support in WebServices.
    - Clipboard changes detected through Xfixes.
    - User interface improvements in RegEdit.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 27 May 2017 03:39:17 +0000

wine-development (2.8-1) experimental; urgency=medium

  * New upstream release 2.8, released May 12, 2017.
    - Direct3D command stream runs asynchronously.
    - Better serial and parallel ports autodetection.
    - Still more fixes for high DPI settings.
    - System tray notifications on macOS.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 13 May 2017 15:52:08 +0000
