## wine-development 2.11

=== debian/changelog ===
wine-development (2.11-1ubuntu1) artful; urgency=medium

  * Sync on debian unstable. Remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 01 Jul 2017 10:28:13 +0530

wine-development (2.11-1) unstable; urgency=medium

  * New upstream release 2.11, released Jun 23, 2017.
    - Support for security labels.
    - Relay debugging on ARM64.
    - More dictionary support in WebServices.
    - New registry file parser in RegEdit.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 24 Jun 2017 13:24:46 +0000
