=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  dctrl-tools,
  khronos-api,
  unicode-data (>= 9.0),
+ unicode-data (<< 10.0),
  libpng-dev,
  libssl-dev,
  libxml2-dev,
