## wine-development 2.12

=== debian/changelog ===
wine-development (2.12-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Unit 193 <unit193@ubuntu.com>  Tue, 11 Jul 2017 17:53:37 -0400

wine-development (2.12-1) unstable; urgency=medium

  * New upstream release 2.12, released Jul 7, 2017.
    - Some performance improvements with async I/O.
    - More RegEdit file parser improvements.
    - Beginnings for MSI user interface support.
    - Various bug fixes.
  * Update copyright years.
  * Update standards version.
  * Guard against unicode 11 breaking the package.

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 10 Jul 2017 04:09:40 +0000

wine-development (2.11-2) unstable; urgency=medium

  * Update to using Unicode 10 (closes: #867106).

 -- Jens Reyer <jre.winesim@gmail.com>  Sat, 08 Jul 2017 13:37:04 +0200
