## wine-development 2.15

=== debian/changelog ===
wine-development (2.15-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Sep 2017 08:03:05 +0200

wine-development (2.15-1) unstable; urgency=medium

  * New upstream release 2.15, released Aug 20, 2017.
    - Support for AES encryption.
    - Improved Bezier support in Direct2D.
    - Chunked transfer improvements in WinInet.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 02 Sep 2017 22:58:09 +0000

wine-development (2.14-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 05 Aug 2017 12:37:45 +0200

wine-development (2.14-1) unstable; urgency=medium

  * New upstream release 2.14, released Aug 3, 2017.
    - C++ calling convention workarounds in the IDL compiler.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Sat, 05 Aug 2017 05:27:07 +0000
