## wine-development 2.16

=== debian/changelog ===
wine-development (2.16-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 Sep 2017 00:10:32 +0200

wine-development (2.16-1) unstable; urgency=medium

  * New upstream release 2.16, released Sep 1, 2017.
    - Support for pasting metafiles in RichEdit.
    - Better support for grayscale PNG images.
    - Support for safety features in library loading.
    - Better handling of transforms in GdiPlus.
    - Rendering improvements in DirectWrite.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Wed, 06 Sep 2017 13:29:51 +0000
