=== debian/watch ===
version=3
opts="uversionmangle=s/-rc/~rc/,pgpsigurlmangle=s/$/.sign/" \
ftp://ftp.winehq.org/pub/wine/source/(\d).x/wine-(\d.*)\.tar\.xz
