## wine-development 2.17

=== debian/changelog ===
wine-development (2.17-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + Use unversioned sonames in debian/scripts/sonames2elf so that
      dpkg-shlibdeps can find libGL.so in Ubuntu (closes: #827770).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Sep 2017 13:28:35 +0200

wine-development (2.17-1) unstable; urgency=medium

  * New upstream release 2.17, released Sep 15, 2017.
    - Better support for grayscale mode in DirectWrite.
    - Per-application StartupWMClass in desktop files.
    - Virtual memory compatibility improvements.
    - Reply messages improvements in WebServices.
    - Various bug fixes.

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 15 Sep 2017 22:55:23 +0000
