=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
+DEB_HOST_ARCH_OS=$(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 DEB_BUILD_ARCH_OS=$(shell dpkg-architecture -qDEB_BUILD_ARCH_OS)
 DEB_BUILD_ARCH_BITS=$(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)
 
@@ -50,6 +51,11 @@
 export DEB_LDFLAGS_MAINT_APPEND+=-lfreebsd-glue
 endif
 
+# enable oss only on kfreebsd
+ifneq ($(DEB_HOST_ARCH_OS), kfreebsd)
+CONFLAGS+=--without-oss
+endif
+
 # enable wine64 on 64-bit architectures
 ifeq ($(DEB_BUILD_ARCH_BITS), 64)
 CONFLAGS+=--enable-win64
@@ -63,6 +69,9 @@
 
 # override maintainer mode config
 export DEB_CFLAGS_MAINT_APPEND+=-Wno-error
+
+# use date of the latest changelog update as the build date
+export WIDL_TIME_OVERRIDE=$(shell date --date="$(dpkg-parsechangelog -S Date)" +%s)
 
 # additional files to generate
 INSTALLS=$(shell ls debian/*VERSION* | sed s/VERSION/$(VERSION)/) \
@@ -97,7 +106,7 @@
 	sed s/VERSION/$(VERSION)/g < $< > $@
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	./debian/scripts/generate libs/port/cptable.generated cpmap
